﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.801
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Public csu As CallSubUtils
	Type Message (Address As String, Body As String)
	
	Dim DB As SQL
	Dim DBFileDir As String = File.DirInternal
	Dim DBFileName As String = "leadguru.db"


End Sub

Sub Service_Create
	' Delay Sub
	csu.Initialize
	
'	'Delete Table user
'	DB.Initialize(DBFileDir, DBFileName, True)
'	DB.ExecNonQuery("DROP TABLE IF EXISTS notify")
'	DB.ExecNonQuery("DROP TABLE IF EXISTS myleads")
	'	DB.ExecNonQuery("DROP TABLE IF EXISTS user")
'	LogColor("Table Deleted user", Colors.Red)
	
	
	' Setup SQL
	If File.Exists(DBFileDir, DBFileName) Then
		LogColor("GOT leadguru.db", Colors.Magenta)
		CallSubDelayed(Me, "readUser")
'		readUser
	Else
		LogColor("NO leadguru.db", Colors.Magenta)
		CreateDB
	End If
	
	CallSubDelayed(Me, "readUser")
	CallSubDelayed(Main, "readNotify")
	CallSubDelayed(Main, "readMyLeads")
'	readNotify
'	readMyLeads
	
'	'Firebase
'	CallSubDelayed(FirebaseMessaging, "SubscribeToTopics")

End Sub

Sub CreateDB
	LogColor("Create leadguru.db", Colors.Magenta)
	DB.Initialize(DBFileDir, DBFileName, True)
	CallSubDelayed(Me, "readUser")
'	readUser
End Sub

Sub readMyLeads
	DB.Initialize(DBFileDir, DBFileName, True)
	DB.ExecNonQuery("CREATE TABLE IF NOT EXISTS  myleads (id TEXT, lastname TEXT, firstname TEXT, address1 TEXT, address2 TEXT, suburb TEXT, city TEXT, occupation TEXT, income TEXT, cellno TEXT, email TEXT, product TEXT, leadtype TEXT, appdate TEXT, apptime TEXT)")
	Dim ret As Int
	ret = DB.ExecQuerySingleResult("SELECT count(*) FROM myleads")
	LogColor("MyLeads Table Ret: " & ret, Colors.Red)
	If (ret <1) Then
		LogColor("MyLeads Table Exists BUT is Empty", Colors.Red)
	End If
	If (ret >0) Then
		LogColor("MyLeads Records = " & ret, Colors.Red)
	End If
	
'	CallSubDelayed(Main, "loadNotifications")
	
End Sub

Sub readNotify
	DB.Initialize(DBFileDir, DBFileName, True)
	DB.ExecNonQuery("CREATE TABLE IF NOT EXISTS  notify (id TEXT, lastname TEXT, firstname TEXT, address1 TEXT, address2 TEXT, suburb TEXT, city TEXT, occupation TEXT, income TEXT, cellno TEXT, email TEXT, product TEXT, leadtype TEXT, appdate TEXT, apptime TEXT)")
	Dim ret As Int
	ret = DB.ExecQuerySingleResult("SELECT count(*) FROM notify")
	LogColor("Notify Table Ret: " & ret, Colors.Red)
	If (ret <1) Then
		LogColor("Notify Table Exists BUT is Empty", Colors.Red)
	End If
	If (ret >0) Then
		LogColor("Notify Records = " & ret, Colors.Red)
	End If
	
'	CallSubDelayed(Main, "loadNotifications")
	
End Sub

Sub readUser
	DB.Initialize(DBFileDir, DBFileName, True)
	DB.ExecNonQuery("CREATE TABLE IF NOT EXISTS  user (mobileno TEXT)")
	Dim ret As Int
	ret = DB.ExecQuerySingleResult("SELECT count(*) FROM user")
	If (ret <> 1) Then
		LogColor("Table Exists BUT is Empty", Colors.Magenta)
'Now load Input Dialog in Main
		CallSubDelayed(Main, "getTelNo")
	End If
	If (ret = 1) Then
		LogColor("Table Has: "&ret, Colors.Magenta)
		Main.FBtopic = DB.ExecQuerySingleResult("SELECT mobileno  FROM user")
		LogColor("Read: "&Main.FBtopic, Colors.Magenta)
'		'Firebase
'		CallSubDelayed(FirebaseMessaging, "SubscribeToTopics")
	End If
End Sub


Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
